From granaman@home.com Mon, 25 Jun 2001 23:05:23 -0700
From: "Don Granaman" <granaman@home.com>
Date: Mon, 25 Jun 2001 23:05:23 -0700
Subject: Re: OPS in Sun E10K
Message-ID: <F001.00337A10.20010625225603@fatcity.com>
MIME-Version: 1.0
Content-Type: text/plain


With 8i, you MUST use raws on Solaris.  With 9i, you can use raws or
certified (only) cluster file systems.  Veritos, for one, has an approved
Sun PDB Cluster file system.  You can't do it with UFS or a "normal" VxFS -
even with 9i.

I would also argue with those who claim that journaled file systems (e.g
VxFS) are "just as fast" as raws.  See Johnathan Lewis' analysis at:
http://www.jlcomp.demon.co.uk/raworfs_i.html  My own experience and testing
supports this.

(setq minor-rant-mode on)

I am obviously of the minority opinion here, but I think that the
"difficulty" of using raw devices is greatly exaggerated.  I actually prefer
them for many systems - for many reasons, write performance being only one.
When is the last time you saw anyone accidentally 'rm' a raw device?  You
will really regret UFS on a critical system if the filesystems are of
non-trivial size, the host crashes, and you have to wait forever for fsck to
check the filesystems when the host reboots.  (I know, you said VxFS, not
UFS.  I just had to throw that in!)  I have seen weird (other than hardware
failure or Oracle bug induced) datafile corruption on everything but raw
devices at one time or another.

At my last job, we had outstanding SAs.  After a lot of research, testing,
and discussion, they were the ones  who usually convinced reluctant DBAs to
use raw devices for critical write-intensive databases.  Of  course, we had
a well considered strategy for how not to make it a maintenance nightmare
for SAs or DBAs - a small set of standard volume sizes, pre-creation of
"extra" volumes owned by oracle:dba on each disk or stripe-set, distinct
volume groups reserved only for database files, physically meaningful volume
naming conventions, scripts for polling all databases on the machine to
determine which raws were already being used, appropriate backup tools, etc.
With Quick I/O, I think you can "come close" (that is all that even Veritos
claims).  Without it, I doubt it.  It does depend on the nature of the
system and the database though.  If it is predominately read intensive and
you have a LOT of extra memory, you might even have a case for a filesystem
with buffered reads!  But not with 8i OPS!

(setq minor-rant-mode off)

-Don Granaman
[certifiable OraSaurus]

----- Original Message -----
To: "Multiple recipients of list ORACLE-L" <ORACLE-L@fatcity.com>
Sent: Monday, June 25, 2001 2:40 PM


> yes it is.  9i removes that restriction.
>
> "Walking on water and developing software from a specification are easy if
> both are frozen."
>
> Christopher R. Spence
> Oracle DBA
> Fuelspot
>
>
>
> -----Original Message-----
> Sent: Monday, June 25, 2001 11:23 AM
> To: Multiple recipients of list ORACLE-L
>
>
> It may have change since I last did OPS, but I thought
> that raw was a prerequesite..
>
> hth
> connor
>
> --- Balakrishnan Subramanian
> <c-bala.subramanian@wcom.com> wrote: > System : Sun
> E10K
> > OS : Sun solaris 2.8
> > Oracle : 8i Rel 3 64bit option
> > Database : OPS
> > Type : OLTP &
> > # concurrent users : 1000 (including US and
> > international users Europe, Asia
> > & Australia)
> >
> > Our System admin suggesting us to go for File system
> > (veritas, without
> > Veritas quick i/o) instead of raw devices, the
> > reason is ease of
> > maintenance.  He says, with OS and Oracle tuning, we
> > can bring OPS upto the
> > level of raw device performance.
> >
> > I appreciate if you can share your experience.
> >
> > Thanks,
> >
> > Bala.
> >
> > --
> > Please see the official ORACLE-L FAQ:
> > http://www.orafaq.com
> > --
> > Author: Balakrishnan Subramanian
> >   INET: c-bala.subramanian@wcom.com
> >
> > Fat City Network Services    -- (858) 538-5051  FAX:
> > (858) 538-5051
> > San Diego, California        -- Public Internet
> > access / Mailing Lists
> >
> --------------------------------------------------------------------
> > To REMOVE yourself from this mailing list, send an
> > E-Mail message
> > to: ListGuru@fatcity.com (note EXACT spelling of
> > 'ListGuru') and in
> > the message BODY, include a line containing: UNSUB
> > ORACLE-L
> > (or the name of mailing list you want to be removed
> > from).  You may
> > also send the HELP command for other information
> > (like subscribing).
>
>
> =====
> Connor McDonald
> http://www.oracledba.co.uk (mirrored at
> http://www.oradba.freeserve.co.uk)
>
> "Some days you're the pigeon, some days you're the statue"
>
> ____________________________________________________________
> Do You Yahoo!?
> Get your free @yahoo.co.uk address at http://mail.yahoo.co.uk
> or your free @yahoo.ie address at http://mail.yahoo.ie
> --
> Please see the official ORACLE-L FAQ: http://www.orafaq.com
> --
> Author: =?iso-8859-1?q?Connor=20McDonald?=
>   INET: hamcdc@yahoo.co.uk
>
> Fat City Network Services    -- (858) 538-5051  FAX: (858) 538-5051
> San Diego, California        -- Public Internet access / Mailing Lists
> --------------------------------------------------------------------
> To REMOVE yourself from this mailing list, send an E-Mail message
> to: ListGuru@fatcity.com (note EXACT spelling of 'ListGuru') and in
> the message BODY, include a line containing: UNSUB ORACLE-L
> (or the name of mailing list you want to be removed from).  You may
> also send the HELP command for other information (like subscribing).
> --
> Please see the official ORACLE-L FAQ: http://www.orafaq.com
> --
> Author: Christopher Spence
>   INET: cspence@FuelSpot.com
>
> Fat City Network Services    -- (858) 538-5051  FAX: (858) 538-5051
> San Diego, California        -- Public Internet access / Mailing Lists
> --------------------------------------------------------------------
> To REMOVE yourself from this mailing list, send an E-Mail message
> to: ListGuru@fatcity.com (note EXACT spelling of 'ListGuru') and in
> the message BODY, include a line containing: UNSUB ORACLE-L
> (or the name of mailing list you want to be removed from).  You may
> also send the HELP command for other information (like subscribing).

-- 
Please see the official ORACLE-L FAQ: http://www.orafaq.com
-- 
Author: Don Granaman
  INET: granaman@home.com

Fat City Network Services    -- (858) 538-5051  FAX: (858) 538-5051
San Diego, California        -- Public Internet access / Mailing Lists
--------------------------------------------------------------------
To REMOVE yourself from this mailing list, send an E-Mail message
to: ListGuru@fatcity.com (note EXACT spelling of 'ListGuru') and in
the message BODY, include a line containing: UNSUB ORACLE-L
(or the name of mailing list you want to be removed from).  You may
also send the HELP command for other information (like subscribing).


